- entityDefinitions:
  - IDM_Method__is__Public: '{766d2f0c-74b6-455a-b9a0-c52ae2fce3cc}'
  - IDMB_Method__is__Public: '{ca81c0a3-83a4-482c-97d8-c8f1a85fe319}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Method__is__Public;'
    forClassId: '&IDC_Method;'
    verb: 'is'
    name: 'Public'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_MethodIsOfTypeSpecified;'
    source: '&IDMB_Method__get__Access_Modifier;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDI_AccessModifier_Public;'
    
  - returnAttributeMethodBinding: '&IDMB_Method__is__Public;'
    executesMethod: '&IDM_Method__is__Public;'
